# Mechanism

## Bill of Materials

### Servos

18 TowerPro [MG92B](http://www.towerpro.com.tw/product/mg92b/) are required.

> The dimension of 3d printed part is highly dependent on the servo's size. Modification is required if you want to use alternative servos.

### 3D-Printed Parts

#### Body x 1

| Filename       | Thumbnail                                                          | Required |
| -------------- | ------------------------------------------------------------------ | -------- |
| body_top       | <img src="./imgs/body_top.jpg" alt="body_top" width="300"/>       | 1        |
| body_bottom    | <img src="./imgs/body_bottom.jpg" alt="body_bottom" width="300"/>    | 1        |
| body_side_wall | <img src="./imgs/body_side_wall.jpg" alt="body_side_wall" width="300"/> | 2        |
| body_back_wall | <img src="./imgs/body_back_wall.jpg" alt="body_back_wall" width="300"/> | 1        |

#### Leg x 6

| Filename     | Thumbnail                               | Required |
| ------------ | --------------------------------------- | -------- |
| thigh_top    | <img src="./imgs/thigh_top.jpg" alt="thigh_top" width="200"/>       | 1 (x6)   |
| thigh_bottom | <img src="./imgs/thigh_bottom.jpg" alt="thigh_bottom" width="200"/> | 1 (x6)   |
| joint_cross  | ![joint_cross](imgs/joint_cross.jpg)   | 1 (x6)   |
| joint_top    | ![joint_top](imgs/joint_top.jpg)       | 2 (x6)   |
| joint_bottom | ![joint_bottom](imgs/joint_bottom.jpg) | 2 (x6)   |
| leg_top      | ![leg_top](imgs/leg_top.jpg)           | 1 (x6)   |
| let_bottom   | ![leg_bottom](imgs/leg_bottom.jpg)     | 1 (x6)   |
| foot_top     | ![foot_top](imgs/foot_top.jpg)         | 1 (x6)   |
| foot_bottom  | ![foot_bottom](imgs/foot_bottom.jpg)   | 1 (x6)   |
| foot_ground  | ![foot_ground](imgs/foot_ground.jpg)   | 1 (x6)   |
| foot_tip     | ![foot_tip](imgs/foot_tip.jpg)         | 1 (x6)   |

### Others

| Name      | Spec    | Thumbnail                    | Required | Note                                              |
| --------- | ------- | ---------------------------- | -------- | ------------------------------------------------- |
| Screw     | M2 6mm  | ![6mm](imgs/M2_6mm.JPG)     | 54       | Servo Arm: 1 x 18<br>Joint: 4 x 6<br>Thigh: 2 x 6 |
| Screw     | M2 10mm | ![10mm](imgs/M2_10mm.JPG)   | 24       | Thigh: 1 x 6<br>Pin lock: 1 x 18                  |
| Screw     | M2 30mm | ![30mm](imgs/M2_30mm.JPG)   | 36       | Servo: 2 x 18                                     |
| Nuts      | M2      | ![6mm](imgs/M2_nut.JPG)     | 36       | Servo: 2 x 18                                     |
| Pin (304) | M4 6mm  | ![pin](imgs/pin_M4_6mm.JPG) | 18       | Servo: 1 x 18                                     |

### Leg Assemble

![LegAssemble](imgs/mech_leg_exploded.jpg)

##### Step 1

![LegAssemble1](imgs/mech_leg_1.jpg)

Combine `thigh_top`, `MG92B` and `thigh_bottom`, use M2x30mm screw and nut to secure them together.

##### Step 2

![LegAssemble2](imgs/mech_leg_2.jpg)

Grab one `joint_cross`, `joint_top` and `joint_bottom` and combine them

##### Step 3

![LegAssemble3](imgs/mech_leg_3.jpg)

First put 2 x `MG92B`, `leg_top` and `leg_bottom` together with M2x30mm screw and nut.
Then attach `joint_top` and `joint_bottom` altogether

##### Step 4

![LegAssemble4](imgs/mech_leg_4.jpg)

Grab `foot_top`, `foot_bottom` and `foot_ground` (and `foot_top`) and assemble them.

##### Finish!

![LegAssemble5](imgs/mech_leg_5.jpg)

Great, you got 1 leg done, 5 more to go :)

Leg assembly instruction video https://youtu.be/oaAE5fC09KQ is also available.
<a href='https://youtu.be/oaAE5fC09KQ'><img src='http://img.youtube.com/vi/oaAE5fC09KQ/mqdefault.jpg'/></a>

> Note. Total 6 Legs are required.
